# speex_jitter.h File Reference

Adaptive jitter buffer for Speex. More...

`#include "speex/speex_types.h"`

## Classes

struct | _JitterBufferPacket

## Defines

#define | JITTER_BUFFER_OK 0
#define | JITTER_BUFFER_MISSING 1
#define | JITTER_BUFFER_INSERTION 2
#define | JITTER_BUFFER_INTERNAL_ERROR -1
#define | JITTER_BUFFER_BAD_ARGUMENT -2
#define | JITTER_BUFFER_SET_MARGIN 0
#define | JITTER_BUFFER_GET_MARGIN 1
#define | JITTER_BUFFER_GET_AVAILABLE_COUNT 3
#define | JITTER_BUFFER_GET_AVALIABLE_COUNT 3
#define | JITTER_BUFFER_SET_DESTROY_CALLBACK 4
#define | JITTER_BUFFER_GET_DESTROY_CALLBACK 5
#define | JITTER_BUFFER_SET_DELAY_STEP 6
#define | JITTER_BUFFER_GET_DELAY_STEP 7
#define | JITTER_BUFFER_SET_CONCEALMENT_SIZE 8
#define | JITTER_BUFFER_SET_MAX_LATE_RATE 10
#define | JITTER_BUFFER_SET_LATE_COST 12

## Typedefs

typedef struct JitterBuffer_ | JitterBuffer
typedef struct _JitterBufferPacket | JitterBufferPacket

## Functions

JitterBuffer * | jitter_buffer_init (int step_size)
void | jitter_buffer_reset (JitterBuffer *jitter)
void | jitter_buffer_destroy (JitterBuffer *jitter)
void | jitter_buffer_put (JitterBuffer *jitter, const JitterBufferPacket *packet)
int | jitter_buffer_get (JitterBuffer *jitter, JitterBufferPacket *packet, spx_int32_t desired_span, spx_int32_t *start_offset)
int | jitter_buffer_get_another (JitterBuffer *jitter, JitterBufferPacket *packet)
int | jitter_buffer_get_pointer_timestamp (JitterBuffer *jitter)
void | jitter_buffer_tick (JitterBuffer *jitter)
void | jitter_buffer_remaining_span (JitterBuffer *jitter, spx_uint32_t rem)
int | jitter_buffer_ctl (JitterBuffer *jitter, int request, void *ptr)

## Detailed Description

Adaptive jitter buffer for Speex.